import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from '../views/Home.vue'

Vue.use(VueRouter)

const originalPush = VueRouter.prototype.push;
VueRouter.prototype.push = function push(location) {
  return originalPush.call(this, location).catch(err => err)
}

const routes = [
  {
    path: '/',
    redirect: '/Home'
  },
  {
    path: '/Home',
    name: 'Home',
    component: Home
  },
  {
    path: '/Login',
    name: 'Login',
    component: () => import('../views/Login.vue')
  },
  {
    path: '/ResetPass',
    name: 'ResetPass',
    component: () => import('../views/ResetPass.vue')
  },
  {
    path: '/Center',
    name: 'Center',
    component: () => import('../views/Center.vue')
  },
  {
    path: '/Setting',
    name: 'Setting',
    component: () => import('../views/Setting.vue')
  },
  {
    path: '/ClassDetails',
    name: 'ClassDetails',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import(/* webpackChunkName: "about" */ '../views/ClassDetails.vue')
  },
  {
    path: '/StudentsDetails',
    name: 'StudentsDetails',
    component: () => import('../views/StudentsDetails.vue')
  },
  {
    path: '/Question',
    name: 'Question',
    component: () => import('../views/Question.vue')
  },
]

const router = new VueRouter({
  routes
})

export default router
