// request.js
import VeryAxios from 'very-axios'
import veryAxiosConfig from './veryAxiosConfig'
import axiosConfig from './axiosConfig'
// const request = new VeryAxios(veryAxiosConfig, axiosConfig)

let baseUrl = process.env.VUE_APP_BASE_API;

const request = new VeryAxios(veryAxiosConfig)

export default {
    // list: (params) => request.GET(baseUrl + '/user', params),
    // add: (params) => request.POST('/user', params),
    // update: (id, params) => request.PUT(`/user/${id}`, params),
    // delete: (id) => request.DELETE(`/user/${id}`),
    // deletes: (params) => request.DELETE(`/user/`, params),
    // upload: (params) => request.FORMDATA(`/user/`, params),
    classList: (params) => request.GET(baseUrl + '/learnclass/list', params),
    classDetail: (id) => request.GET(baseUrl + '/learnclass/getDetail/'+id),
    getTeacherList: (id) => request.GET(baseUrl + '/learnclass/getTeacherList/'+id),
    getStudentsList: (id) => request.GET(baseUrl + '/learnclass/getStudentList/'+id),
    releasingNotices: (params) => request.POST(baseUrl + '/notice', params),//发布通知
    login: (params) => request.POST(baseUrl + '/auth/login', params),
    resetPwd: (params) => request.PUT(baseUrl + '/teacheruser/resetPwd', params),
    getUserInfo: (params) => request.GET(baseUrl + '/teacheruser/getInfo', params),
    getStudentInfo: (params) => request.GET(baseUrl + '/teacheruser/getInfo', params),
    setting: (params) => request.PUT(baseUrl + '/teacher', params),//消息屏蔽设置
    updateClassStatus: (id,params) => request.PUT(baseUrl + '/learnclass/updateStatus/'+id, params),//更新班级状态
    logout: (params) => request.DELETE(`${baseUrl}/auth/logout`, params),
}
